package org.texttechnologylab.project.gruppe_05_1.database;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.*;

import java.util.List;

public class SpeechIndex {
    private final List<Session> sessions;
    private final List<Speech> speeches;
    private final List<AgendaItem> agendaItems;

    public List<Session> getSessions() {
        return sessions;
    }

    public List<Speech> getSpeeches() {
        return speeches;
    }

    public List<AgendaItem> getAgendaItems() {
        return agendaItems;
    }

    public SpeechIndex(List<Session> sessions, List<Speech> speeches, List<AgendaItem> agendaItems) {
        this.sessions = sessions;
        this.speeches = speeches;
        this.agendaItems = agendaItems;
    }
}
